[PATCH 0/6] V3 Improve compatibility with python < 2.7

Richard Maw richard.maw at codethink.co.uk
Mon Jan 21 17:38:09 GMT 2013


On Fri, Jan 18, 2013 at 06:30:52PM +0000, Javier Jardón wrote:
> Repo: ssh://git@git.baserock.org/baserock/baserock/morph.git
> Ref: jjardon/python_compatibility_fixes
> SHA1: 053c0993bb62dd5e1a73d3367ea04c70874f3bd1
> 
> The python-ordereddict package doesnt seems packaged in Debian
> squeeze, but Its available through pypi though.
> Please, take this into acount before merge the patch

The only place we need to worry about this is during the bootstrap,
which is being replaced. In the meantime it's being installed with pip
in the bootstrap script.

I made the following fixups before merging:
  - Altered the bootstrap script to install ordereddict and simplejson
    in the squeeze chroot.
  - Added a comment to the import so that I don't revisit it and puzzle
    about why json shouldn't be imported if collections doesn't have
    OrderedDict.
  - Amended the copyright years so ./check would pass.




More information about the baserock-dev mailing list